program fjf120;

var
  a:text;
  b:file of char;
  f:boolean;

begin
  assign(a,'-');
  reset(a);
  reset(b,'-');
  {$i-}
  f:=(filepos(input)=0) and (filepos(a)=0) and (filepos(b)=0);
  InOutRes:=0;
  {$i+}
  if f
    then writeln('OK')
    else writeln('Failed: ',filepos(input),filepos(a),filepos(b))
end.
